Mercenary Kahman:
There was a time when the Golden Ram mercenaries were considered invincible... But everything changed when we were defeated in the battle with Stakato. What a shame... It plains me just to think about it. But make no mistake, I'm not stuck in the past. I want to get back at those bugs today!
I'm constantly monitoring the bugs' activities and I was able to determinate that there are two windows of opportunity for an attack.
-From 12:00 until 13:00.<br1> -From 19:00 until 20:00.
Mercenaries could really use the help of such adventurers as yourself. But it's too dangerous to take on Stakato alone. First, you need to gather a party.
Together, defeat the nasty bugs and return the Badges of the Golden Ram Army to their rightful owners. For our fallen comrades!